This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 438289 - Broadcom 43xx wireless card unable to be activated in Fedora 8 [NEEDINFO]
Broadcom 43xx wireless card unable to be activated in Fedora 8
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bcm43xx-fwcutter (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-20 03:47 EDT by Thom
Modified: 2009-01-09 01:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:13:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
l3modz: needinfo? (dwmw2)


Attachments (Terms of Use)

  None (edit)
Description Thom 2008-03-20 03:47:30 EDT
Description of problem: wlan0 fails to activate through network device manag


Version-Release number of selected component (if applicable):


How reproducible: every time.


Steps to Reproduce:
1. select network device control
2. click activate on inactive wlan device
3. will not configure - retry, and the below error message comes up:
  
Actual results:SIOCSIFFLAGS: No such file or directory
Error for wireless request "Set Encode" (8B2A) :
    SET failed on device wlan0 ; No such file or directory.

Determining IP information for wlan0...dhclient(4312) is already running - exiting. 
This version of ISC DHCP is based on the release available
on ftp.isc.org.  Features have been added and other changes
have been made to the base software release in order to make
it work better with this distribution.
Please report for this software via the Red Hat Bugzilla site:
    http://bugzilla.redhat.com
exiting.
 failed.



Expected results: activated wireless card broadcom 43xx for Dell Latitude 120L


Additional info:
Comment 1 David Woodhouse 2008-03-20 05:14:59 EDT
Did you follow the instructions at
http://www.linuxwireless.org/en/users/Drivers/b43#devicefirmware ?
Comment 2 l3modz 2008-10-29 14:00:45 EDT
I have same problem too, wireless not function when using b43-fwcutter version 011

here spesification of my OS:
==================================================
[root@localhost ~]# uname -r
2.6.26.6-49.fc8
[root@localhost ~]# b43-fwcutter
b43-fwcutter version 011

A tool to extract firmware for a Broadcom 43xx device
from a proprietary Broadcom 43xx device driver file.

Usage: b43-fwcutter [OPTION] [proprietary-driver-file]
--unsupported Allow working on extractable but unsupported drivers
-l|--list List supported driver versions
-i|--identify Only identify the driver file (don't extract)
-w|--target-dir DIR Extract and write firmware to DIR
-v|--version Print b43-fwcutter version
-h|--help Print this help

Example: b43-fwcutter -w /lib/firmware wl_apsta.o
to extract the firmware blobs from wl_apsta.o and store
the resulting firmware in /lib/firmware
[root@localhost ~]# lsmod|grep b43
b43 135521 0
ssb 37061 1 b43
rfkill 11481 1 b43
mac80211 175669 1 b43
input_polldev 7369 1 b43
[root@localhost ~]# lspci -t -nn -v|grep BCM
+-1c.1-[0000:04]----00.0 Broadcom Corporation BCM4310 USB Controller [14e4:4315]
+-1c.2-[0000:05]----00.0 Broadcom Corporation NetLink BCM5787M Gigabit Ethernet PCI Express [14e4:1693]
[root@localhost ~]# ifconfig wlan0 up
wlan0: unknown interface: No such device
[root@localhost ~]# iwlist scanning
lo Interface doesn't support scanning.

eth0 Interface doesn't support scanning.

pan0 Interface doesn't support scanning.

[root@localhost ~]# iwlist wlan0 scan
wlan0 Interface doesn't support scanning.

[root@localhost ~]#

================================================
I'm try to turn ON and turn OFF the WIFI button, I tired how to use this driver even I'm using the last update, I've add to /etc/modprobe.conf too
===================================
alias wlan0 b43
===================================
even I reboot, I still can't use my Broadcom Wifi Card???
Comment 3 Bug Zapper 2008-11-26 05:13:46 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:13:49 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.